Page MenuHomePhabricator

Tidy up browser tests
Closed, ResolvedPublic

Description

Our browser test suite is looking rather messy. Cleaning it up will make it easier to maintain and to add to.

We should

  • remove unnecessary duplication in TermboxPage of selectors, elements, and helpers methods (e.g. TermboxPage.clickMyFavoriteButton() is not better than TermboxPage.myFavoriteButton.click())
  • split specs into multiple files where it makes sense
  • create new test items to operate on where it makes sense
  • figure out what (if anything) is wrong with login/logout logic, try removing the handcrafted logic and use standard login/logout functionality
  • split the item creation logic out of TermboxPage

Details

Related Gerrit Patches:
mediawiki/extensions/Wikibase : masterUpdate termbox
wikibase/termbox : masterbrowser tests: split Termbox.spec.js
wikibase/termbox : masterbrowser tests: simplify term value tests
wikibase/termbox : masterbrowser tests: split item creation out of TermboxPage
wikibase/termbox : masterbrowser tests: tidy up Termbox.page.js
wikibase/termbox : masterbrowser tests: use existing LoginPage login mechanisms

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 6 2019, 10:12 AM
Jakob_WMDE moved this task from To Do to Doing on the Wikibase-Termbox-Iteration-20 board.
Jakob_WMDE updated the task description. (Show Details)Aug 6 2019, 3:31 PM

Change 528501 had a related patch set uploaded (by Jakob; owner: Jakob):
[wikibase/termbox@master] browser tests: tidy up Termbox.page.js

https://gerrit.wikimedia.org/r/528501

Change 528728 had a related patch set uploaded (by Jakob; owner: Jakob):
[wikibase/termbox@master] browser tests: use existing LoginPage login mechanisms

https://gerrit.wikimedia.org/r/528728

Jakob_WMDE updated the task description. (Show Details)Aug 7 2019, 9:44 AM

Change 528792 had a related patch set uploaded (by Jakob; owner: Jakob):
[wikibase/termbox@master] browser tests: split item creation out of TermboxPage

https://gerrit.wikimedia.org/r/528792

Change 528879 had a related patch set uploaded (by Jakob; owner: Jakob):
[wikibase/termbox@master] browser tests: simplify term value tests

https://gerrit.wikimedia.org/r/528879

Change 528501 merged by jenkins-bot:
[wikibase/termbox@master] browser tests: tidy up Termbox.page.js

https://gerrit.wikimedia.org/r/528501

Change 528728 merged by jenkins-bot:
[wikibase/termbox@master] browser tests: use existing LoginPage login mechanisms

https://gerrit.wikimedia.org/r/528728

Jakob_WMDE updated the task description. (Show Details)Aug 8 2019, 10:35 AM

Change 529110 had a related patch set uploaded (by Jakob; owner: Jakob):
[wikibase/termbox@master] browser tests: split Termbox.spec.js

https://gerrit.wikimedia.org/r/529110

Jakob_WMDE updated the task description. (Show Details)Aug 9 2019, 1:43 PM

Change 528792 merged by jenkins-bot:
[wikibase/termbox@master] browser tests: split item creation out of TermboxPage

https://gerrit.wikimedia.org/r/528792

Change 528879 merged by jenkins-bot:
[wikibase/termbox@master] browser tests: simplify term value tests

https://gerrit.wikimedia.org/r/528879

Change 529110 merged by jenkins-bot:
[wikibase/termbox@master] browser tests: split Termbox.spec.js

https://gerrit.wikimedia.org/r/529110

Change 529932 had a related patch set uploaded (by Jakob; owner: Jakob):
[mediawiki/extensions/Wikibase@master] Update termbox

https://gerrit.wikimedia.org/r/529932

Change 529932 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Update termbox

https://gerrit.wikimedia.org/r/529932

Ladsgroup closed this task as Resolved.Oct 23 2019, 11:12 AM